##### basic_signal_set::basic_signal_set (6 of 8 overloads)

Construct a signal set and add two signals.

    template<
        typename ExecutionContext>
    basic_signal_set(
        ExecutionContext & context,
        int signal_number_1,
        int signal_number_2,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor creates a signal set and registers for two signals.

###### Parameters

context

  An execution context which provides the I/O executor that the signal set will use, by default, to dispatch handlers for any asynchronous operations performed on the signal set.

signal_number_1

  The first signal number to be added.

signal_number_2

  The second signal number to be added.

###### Remarks

This constructor is equivalent to performing:

    asio::signal_set signals(context);
    signals.add(signal_number_1);
    signals.add(signal_number_2);